public class Cinema {
	
     // Variables que controlan los lugares de dos salas
	private long vacanciesCinema1;
	private long vacanciesCinema2;

	private final Object controlCinema1, controlCinema2;
	
	public Cinema(){
		controlCinema1=new Object();
		controlCinema2=new Object();
		vacanciesCinema1=20;
		vacanciesCinema2=20;
	}

	// Objeto que vende boletos de la sala 1
	public boolean sellTickets1 (int number) {
		synchronized (controlCinema1) {
			if (number<vacanciesCinema1) {
				vacanciesCinema1-=number;
				return true;
			} else {
				return false;
			}
		}
	}
	
	// Objeto que vende boletos de la sala 2
	public boolean sellTickets2 (int number){
		synchronized (controlCinema2) {
			if (number<vacanciesCinema2) {
				vacanciesCinema2-=number;
				return true;
			} else {
				return false;
			}
		}
	}
	
	// Regresa boletos de la sala 1
	public boolean returnTickets1 (int number) {
		synchronized (controlCinema1) {
			vacanciesCinema1+=number;
			return true;
		}
	}

	// Regresa boletos de la sala 2
	public boolean returnTickets2 (int number) {
		synchronized (controlCinema2) {
			vacanciesCinema2+=number;
			return true;
		}
	}

	// Regresa los lugares libres de la sala 1
	public long getVacanciesCinema1() {
		return vacanciesCinema1;
	}

	// Regresa los lugares libres de la sala 2
	public long getVacanciesCinema2() {
		return vacanciesCinema2;
	}

}
